complexType "ExposureUnderlyingAsset"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-reporting-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | description?, (underlyingAsset? | instrumentId*)?
</...>

Content Model Elements (3):

  description (defined in ExposureUnderlyingAsset complexType),
  instrumentId (defined in ExposureUnderlyingAsset complexType),
  underlyingAsset

All Direct / Indirect Based Elements (2):

  relatedAsset,
  underlyingAsset (defined in ProductExposureCategory.model group)

Known Usage Locations

- As direct type of elements (2):
  relatedAsset,
  underlyingAsset (defined in ProductExposureCategory.model group)

Annotation
A description of the underlying asset of the transaction
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ExposureUnderlyingAsset"> <xsd:sequence> <xsd:element minOccurs="0" name="description" type="xsd:normalizedString"/> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" ref="underlyingAsset"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="instrumentId" type="InstrumentId"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
description

  Type: | xsd:normalizedString, predefined, simple content

  A textual description of the asset that underlies the exposure.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="description" type="xsd:normalizedString"/>

instrumentId

  Type: | InstrumentId, simple content

  Identification of the underlying asset, using public and/or private identifiers.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="instrumentId" type="InstrumentId"/>

underlyingAsset

  Type: | Asset, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 12 elements

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="underlyingAsset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.